Bug 229485 - Module is leaking an open file descriptor to /var/run/pcscd.pub
Module is leaking an open file descriptor to /var/run/pcscd.pub
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-21 09:35 EST by Daniel Walsh
Modified: 2009-07-14 13:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
You can close this by adding the O_CLOEXEC flag to open (451 bytes, patch)
2008-11-18 11:15 EST, Daniel Walsh
no flags Details | Diff
Or a more portable way would be to use the fcntl call. (499 bytes, patch)
2008-11-18 11:15 EST, Daniel Walsh
no flags Details | Diff

  None (edit)
Description Daniel Walsh 2007-02-21 09:35:31 EST
Description of problem:

SELinux is reporting a lot of confined domains want access to
/var/run/pcscd.pub.  THis is because the pam module is leaking an open file
desciptor to the program.
If you setup a local login with pam_pkcs11 and then login.  Executing 
lsof /var/run/pcscd.pub 
You will see your current bash script has the descriptor open.

SELinux avc's will appear if you restart a confined domain.  service httpd
restart for example.

The fix to this is to call 
fcntl(fd, F_SETFD, FD_CLOEXEC) after the open.
Comment 1 Bob Relyea 2007-06-01 21:49:45 EDT
assigning to the correct component.

pam_pkcs11 opens coolkey which opens pcsc-lite.so. It's the latter that opens
the pcscd socket.

(fortunately bug owner does not change;).
Comment 2 Bug Zapper 2008-04-03 15:13:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:13:02 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 4 Daniel Walsh 2008-05-07 05:42:52 EDT
I am not sure this bug has been fixed.
Comment 5 Bug Zapper 2008-05-13 22:38:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Daniel Walsh 2008-11-18 11:15:22 EST
Created attachment 323918 [details]
You can close this by adding the  O_CLOEXEC flag to open
Comment 7 Daniel Walsh 2008-11-18 11:15:57 EST
Created attachment 323919 [details]
Or a more portable way would be to use the fcntl call.
Comment 8 Daniel Walsh 2008-11-18 11:16:28 EST
This bug is beginning to show up in RHEL5.3, Fedora 9 and 10
Comment 9 Bug Zapper 2009-06-09 18:28:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:17:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.